{
  "version": "6.0",
  "nxVersion": "17.0.2",
  "deps": {
    "@angular/animations": "^17.0.3",
    "@angular/cdk": "^17.0.0",
    "@angular/common": "^17.0.3",
    "@angular/compiler": "^17.0.3",
    "@angular/core": "^17.0.3",
    "@angular/forms": "^17.0.3",
    "@angular/material": "^17.0.0",
    "@angular/platform-browser": "^17.0.3",
    "@angular/platform-browser-dynamic": "^17.0.3",
    "@angular/router": "^17.0.3",
    "@ng-bootstrap/ng-bootstrap": "^16.0.0-rc.2",
    "@popperjs/core": "^2.11.6",
    "bootstrap": "^5.2.3",
    "localbase": "^0.7.5",
    "marked": "^9.0.0",
    "ngx-editor": "^16.0.1",
    "ngx-markdown": "^17.1.1",
    "rxjs": "~7.8.0",
    "tslib": "^2.3.0",
    "zone.js": "~0.14.2",
    "@angular-devkit/build-angular": "^17.0.1",
    "@angular-devkit/core": "^17.0.1",
    "@angular-devkit/schematics": "^17.0.1",
    "@angular/cli": "^17.0.1",
    "@angular/compiler-cli": "^17.0.3",
    "@angular/localize": "^17.0.3",
    "@nx/angular": "17.1.2",
    "@nx/workspace": "17.0.2",
    "@schematics/angular": "^16.2.7",
    "@types/jasmine": "~4.3.0",
    "jasmine-core": "~4.6.0",
    "karma": "~6.4.0",
    "karma-chrome-launcher": "~3.2.0",
    "karma-coverage": "~2.2.0",
    "karma-jasmine": "~5.1.0",
    "karma-jasmine-html-reporter": "~2.1.0",
    "nx": "17.0.2",
    "typescript": "~5.2.2"
  },
  "pathMappings": {},
  "nxJsonPlugins": [],
  "fileMap": {
    "nonProjectFiles": [],
    "projectFileMap": {
      "DnDTools": [
        {
          "file": ".editorconfig",
          "hash": "17241496168097493888"
        },
        {
          "file": ".gitignore",
          "hash": "1797387279637198493"
        },
        {
          "file": ".nx/cache/file-map.json",
          "hash": "6101741595380537162"
        },
        {
          "file": ".nx/cache/lockfile.hash",
          "hash": "1807725105127397911"
        },
        {
          "file": ".nx/cache/nx-console-project-graph/static/3rdpartylicenses.txt",
          "hash": "12697586560952242144"
        },
        {
          "file": ".nx/cache/nx-console-project-graph/static/environment.js",
          "hash": "12720306338338068063"
        },
        {
          "file": ".nx/cache/nx-console-project-graph/static/favicon.ico",
          "hash": "9303420814833116677"
        },
        {
          "file": ".nx/cache/nx-console-project-graph/static/main.js",
          "hash": "7728609541428413042",
          "deps": [
            [
              "npm:util",
              "dynamic"
            ]
          ]
        },
        {
          "file": ".nx/cache/nx-console-project-graph/static/polyfills.js",
          "hash": "13485831370010545069"
        },
        {
          "file": ".nx/cache/nx-console-project-graph/static/runtime.js",
          "hash": "8062122689220335238"
        },
        {
          "file": ".nx/cache/nx-console-project-graph/static/styles.css",
          "hash": "5562174198026097626"
        },
        {
          "file": ".nx/cache/nx-console-project-graph/static/styles.js",
          "hash": "6967509609777074983"
        },
        {
          "file": ".nx/cache/parsed-lock-file.json",
          "hash": "2008921783949884943"
        },
        {
          "file": ".nx/cache/project-graph.json",
          "hash": "7945988795607389713"
        },
        {
          "file": ".nx/cache/run.json",
          "hash": "16311676088855897912"
        },
        {
          "file": ".nx/cache/terminalOutputs/1652787271722402980",
          "hash": "18247342422958943348"
        },
        {
          "file": ".nx/cache/terminalOutputs/7432115939749149833",
          "hash": "7177055381166131894"
        },
        {
          "file": ".vscode/extensions.json",
          "hash": "6740797025222968025"
        },
        {
          "file": ".vscode/launch.json",
          "hash": "17406702432687230417"
        },
        {
          "file": ".vscode/tasks.json",
          "hash": "10093397977228577162"
        },
        {
          "file": "README.md",
          "hash": "16019895918877505639"
        },
        {
          "file": "angular.json",
          "hash": "11177150762863769460"
        },
        {
          "file": "nx.json",
          "hash": "12491996003856590724"
        },
        {
          "file": "package-lock.json",
          "hash": "17932886160708320101"
        },
        {
          "file": "package.json",
          "hash": "1873079537144545368",
          "deps": [
            "npm:@angular/animations",
            "npm:@angular/cdk",
            "npm:@angular/common",
            "npm:@angular/compiler",
            "npm:@angular/core",
            "npm:@angular/forms",
            "npm:@angular/material",
            "npm:@angular/platform-browser",
            "npm:@angular/platform-browser-dynamic",
            "npm:@angular/router",
            "npm:@ng-bootstrap/ng-bootstrap",
            "npm:@popperjs/core",
            "npm:bootstrap",
            "npm:localbase",
            "npm:marked",
            "npm:ngx-editor",
            "npm:ngx-markdown",
            "npm:rxjs",
            "npm:tslib",
            "npm:zone.js",
            "npm:@angular-devkit/build-angular",
            "npm:@angular-devkit/core",
            "npm:@angular-devkit/schematics",
            "npm:@angular/cli",
            "npm:@angular/compiler-cli",
            "npm:@angular/localize",
            "npm:@nx/angular",
            "npm:@nx/workspace",
            "npm:@schematics/angular",
            "npm:@types/jasmine",
            "npm:jasmine-core",
            "npm:karma",
            "npm:karma-chrome-launcher",
            "npm:karma-coverage",
            "npm:karma-jasmine",
            "npm:karma-jasmine-html-reporter",
            "npm:nx",
            "npm:typescript"
          ]
        },
        {
          "file": "project.json",
          "hash": "17652802537377509773"
        },
        {
          "file": "src/app/app-routing.module.ts",
          "hash": "10479901149678104127",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/router"
          ]
        },
        {
          "file": "src/app/app.component.html",
          "hash": "17385897758380840601"
        },
        {
          "file": "src/app/app.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/app.component.spec.ts",
          "hash": "4365060805245314087",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/router"
          ]
        },
        {
          "file": "src/app/app.component.ts",
          "hash": "4479514241949940919",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/app.module.ts",
          "hash": "3613624790904739284",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/platform-browser",
            "npm:@ng-bootstrap/ng-bootstrap",
            "npm:@angular/material"
          ]
        },
        {
          "file": "src/app/character/character-creator/character-creator.component.html",
          "hash": "1585954446426185641"
        },
        {
          "file": "src/app/character/character-creator/character-creator.component.scss",
          "hash": "3944000326922144296"
        },
        {
          "file": "src/app/character/character-creator/character-creator.component.spec.ts",
          "hash": "465778742517318369",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/character/character-creator/character-creator.component.ts",
          "hash": "6154428168808432270",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/router"
          ]
        },
        {
          "file": "src/app/character/character-picker/character-card/character-card.component.html",
          "hash": "7876704394505920188"
        },
        {
          "file": "src/app/character/character-picker/character-card/character-card.component.scss",
          "hash": "16613512023718847942"
        },
        {
          "file": "src/app/character/character-picker/character-card/character-card.component.spec.ts",
          "hash": "15676311182281845025",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/character/character-picker/character-card/character-card.component.ts",
          "hash": "8185763687494061389",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/character/character-picker/character-picker.component.html",
          "hash": "15978945758181411122"
        },
        {
          "file": "src/app/character/character-picker/character-picker.component.scss",
          "hash": "1048462220482138431"
        },
        {
          "file": "src/app/character/character-picker/character-picker.component.spec.ts",
          "hash": "3769575709892948439",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/character/character-picker/character-picker.component.ts",
          "hash": "3287843810667246833",
          "deps": [
            "npm:@angular/core",
            "npm:@ng-bootstrap/ng-bootstrap",
            "npm:@angular/router"
          ]
        },
        {
          "file": "src/app/character/character-picker/deletion-confirm/deletion-confirm.component.html",
          "hash": "9856568081456267581"
        },
        {
          "file": "src/app/character/character-picker/deletion-confirm/deletion-confirm.component.scss",
          "hash": "8917290520022495133"
        },
        {
          "file": "src/app/character/character-picker/deletion-confirm/deletion-confirm.component.spec.ts",
          "hash": "9500878480220421212",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/character/character-picker/deletion-confirm/deletion-confirm.component.ts",
          "hash": "2309764722201331099",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/character/character-routing.module.ts",
          "hash": "13302664300806964182",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/router"
          ]
        },
        {
          "file": "src/app/character/character.module.ts",
          "hash": "6958985024325969294",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/common",
            "npm:@angular/forms",
            "npm:@angular/material"
          ]
        },
        {
          "file": "src/app/journal/icon/icon.component.html",
          "hash": "3627989217300062783"
        },
        {
          "file": "src/app/journal/icon/icon.component.scss",
          "hash": "8974880374012945691"
        },
        {
          "file": "src/app/journal/icon/icon.component.spec.ts",
          "hash": "5908812653589397609",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/icon/icon.component.ts",
          "hash": "11705398178906819670",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-character/background/background.component.html",
          "hash": "18081761269658761158"
        },
        {
          "file": "src/app/journal/journal-character/background/background.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-character/background/background.component.spec.ts",
          "hash": "8698230368421483402",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-character/background/background.component.ts",
          "hash": "3846878906587563323",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-character/class/class.component.html",
          "hash": "15445640973904387676"
        },
        {
          "file": "src/app/journal/journal-character/class/class.component.scss",
          "hash": "18252750401704688947"
        },
        {
          "file": "src/app/journal/journal-character/class/class.component.spec.ts",
          "hash": "11341851736074821339",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-character/class/class.component.ts",
          "hash": "15398412461289876957",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-character/general/general.component.html",
          "hash": "1917175540937445803"
        },
        {
          "file": "src/app/journal/journal-character/general/general.component.scss",
          "hash": "8129094922836603485"
        },
        {
          "file": "src/app/journal/journal-character/general/general.component.spec.ts",
          "hash": "4349185666705307366",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-character/general/general.component.ts",
          "hash": "6442820626214554567",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-character/journal-character.component.html",
          "hash": "16930769555395221067"
        },
        {
          "file": "src/app/journal/journal-character/journal-character.component.scss",
          "hash": "14294664936320761538"
        },
        {
          "file": "src/app/journal/journal-character/journal-character.component.spec.ts",
          "hash": "9308511204955904211",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-character/journal-character.component.ts",
          "hash": "13383073990373475367",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-character/species/species.component.html",
          "hash": "7156914167829430260"
        },
        {
          "file": "src/app/journal/journal-character/species/species.component.scss",
          "hash": "5870761987262111706"
        },
        {
          "file": "src/app/journal/journal-character/species/species.component.spec.ts",
          "hash": "16859482932717626143",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-character/species/species.component.ts",
          "hash": "1482161626545104790",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-character/story/story.component.html",
          "hash": "7955202567378372871"
        },
        {
          "file": "src/app/journal/journal-character/story/story.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-character/story/story.component.spec.ts",
          "hash": "15745578239788268462",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-character/story/story.component.ts",
          "hash": "16218507267660475520",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-character/subclass/subclass.component.html",
          "hash": "56414902506354574"
        },
        {
          "file": "src/app/journal/journal-character/subclass/subclass.component.scss",
          "hash": "767497274132892755"
        },
        {
          "file": "src/app/journal/journal-character/subclass/subclass.component.spec.ts",
          "hash": "16307888892607074351",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-character/subclass/subclass.component.ts",
          "hash": "16982055744804823585",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-home/details-panel/details-panel.component.html",
          "hash": "10344076341086178478"
        },
        {
          "file": "src/app/journal/journal-home/details-panel/details-panel.component.scss",
          "hash": "8210640053281129085"
        },
        {
          "file": "src/app/journal/journal-home/details-panel/details-panel.component.spec.ts",
          "hash": "12360641612658125197",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-home/details-panel/details-panel.component.ts",
          "hash": "1121839598978250298",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-home/journal-home.component.html",
          "hash": "13563809568463883191"
        },
        {
          "file": "src/app/journal/journal-home/journal-home.component.scss",
          "hash": "3797310615571780184"
        },
        {
          "file": "src/app/journal/journal-home/journal-home.component.spec.ts",
          "hash": "3698007526913306107",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-home/journal-home.component.ts",
          "hash": "8447817032077225134",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-home/modal/modal.component.html",
          "hash": "8653584699789239560"
        },
        {
          "file": "src/app/journal/journal-home/modal/modal.component.scss",
          "hash": "8813763357246023671"
        },
        {
          "file": "src/app/journal/journal-home/modal/modal.component.spec.ts",
          "hash": "15569802180236207797",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-home/modal/modal.component.ts",
          "hash": "2089084345587210400",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-home/navigation-panel/navigation-panel.component.html",
          "hash": "16446591340569287889"
        },
        {
          "file": "src/app/journal/journal-home/navigation-panel/navigation-panel.component.scss",
          "hash": "12732517500670369180"
        },
        {
          "file": "src/app/journal/journal-home/navigation-panel/navigation-panel.component.spec.ts",
          "hash": "14235185345255391326",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-home/navigation-panel/navigation-panel.component.ts",
          "hash": "9502551384454131102",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/router"
          ]
        },
        {
          "file": "src/app/journal/journal-inventory/food-details/food-details.component.html",
          "hash": "11297556013205135106"
        },
        {
          "file": "src/app/journal/journal-inventory/food-details/food-details.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-inventory/food-details/food-details.component.spec.ts",
          "hash": "16287114013757293916",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-inventory/food-details/food-details.component.ts",
          "hash": "17181433266964312230",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-inventory/journal-inventory.component.html",
          "hash": "15528063357390158626"
        },
        {
          "file": "src/app/journal/journal-inventory/journal-inventory.component.scss",
          "hash": "10907696495234903745"
        },
        {
          "file": "src/app/journal/journal-inventory/journal-inventory.component.spec.ts",
          "hash": "17128186029034046669",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-inventory/journal-inventory.component.ts",
          "hash": "11039000484085723222",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/cdk"
          ]
        },
        {
          "file": "src/app/journal/journal-inventory/simple-item-details/simple-item-details.component.html",
          "hash": "10256642800727730184"
        },
        {
          "file": "src/app/journal/journal-inventory/simple-item-details/simple-item-details.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-inventory/simple-item-details/simple-item-details.component.spec.ts",
          "hash": "14351075471475430888",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-inventory/simple-item-details/simple-item-details.component.ts",
          "hash": "15753821438091149675",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-inventory/simple-item-modal/simple-item-modal.component.html",
          "hash": "14452806108168695271"
        },
        {
          "file": "src/app/journal/journal-inventory/simple-item-modal/simple-item-modal.component.scss",
          "hash": "5690523515873919490"
        },
        {
          "file": "src/app/journal/journal-inventory/simple-item-modal/simple-item-modal.component.spec.ts",
          "hash": "8367311871947977362",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-inventory/simple-item-modal/simple-item-modal.component.ts",
          "hash": "2667758910796569498",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-maps/journal-maps.component.html",
          "hash": "4507349568042832190"
        },
        {
          "file": "src/app/journal/journal-maps/journal-maps.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-maps/journal-maps.component.spec.ts",
          "hash": "11225091248025348492",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-maps/journal-maps.component.ts",
          "hash": "9292953151136248324",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-notes/journal-notes.component.html",
          "hash": "5539690364354675273"
        },
        {
          "file": "src/app/journal/journal-notes/journal-notes.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-notes/journal-notes.component.spec.ts",
          "hash": "16341850620163171451",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-notes/journal-notes.component.ts",
          "hash": "11809242175108057048",
          "deps": [
            "npm:@angular/core",
            "npm:ngx-editor"
          ]
        },
        {
          "file": "src/app/journal/journal-npcs/journal-npcs.component.html",
          "hash": "14931638897838743967"
        },
        {
          "file": "src/app/journal/journal-npcs/journal-npcs.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-npcs/journal-npcs.component.spec.ts",
          "hash": "10982015908633579319",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-npcs/journal-npcs.component.ts",
          "hash": "5154860303755926149",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-places/journal-places.component.html",
          "hash": "2358198542529454440"
        },
        {
          "file": "src/app/journal/journal-places/journal-places.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-places/journal-places.component.spec.ts",
          "hash": "16840970638403732930",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-places/journal-places.component.ts",
          "hash": "11330362986503239396",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-quests/journal-quests.component.html",
          "hash": "17693706602514034918"
        },
        {
          "file": "src/app/journal/journal-quests/journal-quests.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-quests/journal-quests.component.spec.ts",
          "hash": "9191756110379231358",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-quests/journal-quests.component.ts",
          "hash": "16948179583430624975",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-routing.module.ts",
          "hash": "1116209194968308877",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/router"
          ]
        },
        {
          "file": "src/app/journal/journal-ruleset/journal-ruleset.component.html",
          "hash": "8747653379445234316"
        },
        {
          "file": "src/app/journal/journal-ruleset/journal-ruleset.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-ruleset/journal-ruleset.component.spec.ts",
          "hash": "15349043512398707028",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-ruleset/journal-ruleset.component.ts",
          "hash": "14969532730842784751",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-settings/journal-settings.component.html",
          "hash": "13754162744597178330"
        },
        {
          "file": "src/app/journal/journal-settings/journal-settings.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-settings/journal-settings.component.spec.ts",
          "hash": "16992668183485462412",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-settings/journal-settings.component.ts",
          "hash": "7869745576655399864",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-spellbook/journal-spellbook.component.html",
          "hash": "14342924560663901340"
        },
        {
          "file": "src/app/journal/journal-spellbook/journal-spellbook.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-spellbook/journal-spellbook.component.spec.ts",
          "hash": "5157856904604957962",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-spellbook/journal-spellbook.component.ts",
          "hash": "11308596573263386686",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-spellcards/add-card/add-card.component.html",
          "hash": "13277240141458735194"
        },
        {
          "file": "src/app/journal/journal-spellcards/add-card/add-card.component.scss",
          "hash": "1018115927160730231"
        },
        {
          "file": "src/app/journal/journal-spellcards/add-card/add-card.component.spec.ts",
          "hash": "131481339741766649",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-spellcards/add-card/add-card.component.ts",
          "hash": "1576655820857607100",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-spellcards/journal-spellcards.component.html",
          "hash": "16705774493625299250"
        },
        {
          "file": "src/app/journal/journal-spellcards/journal-spellcards.component.scss",
          "hash": "1810608647454911461"
        },
        {
          "file": "src/app/journal/journal-spellcards/journal-spellcards.component.spec.ts",
          "hash": "12704297007771933793",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-spellcards/journal-spellcards.component.ts",
          "hash": "234461017117653634",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/cdk",
            "npm:@ng-bootstrap/ng-bootstrap",
            "npm:rxjs",
            "npm:@angular/forms",
            "npm:@angular/common"
          ]
        },
        {
          "file": "src/app/journal/journal-spellcards/spellcard/spellcard.component.html",
          "hash": "17429955398527438252"
        },
        {
          "file": "src/app/journal/journal-spellcards/spellcard/spellcard.component.scss",
          "hash": "16354829995593429210"
        },
        {
          "file": "src/app/journal/journal-spellcards/spellcard/spellcard.component.spec.ts",
          "hash": "3730772739944612400",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-spellcards/spellcard/spellcard.component.ts",
          "hash": "11476657601674328655",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/ability-panel.component.html",
          "hash": "14871474952704779844"
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/ability-panel.component.scss",
          "hash": "148137600209479912"
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/ability-panel.component.spec.ts",
          "hash": "9466300620685963443",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/ability-panel.component.ts",
          "hash": "16800562043156800998",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/ability-table/ability-details/ability-details.component.html",
          "hash": "2462108755749033032"
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/ability-table/ability-details/ability-details.component.scss",
          "hash": "13597223705162668751"
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/ability-table/ability-details/ability-details.component.spec.ts",
          "hash": "14703768643179055723",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/ability-table/ability-details/ability-details.component.ts",
          "hash": "5881062375661514002",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/ability-table/ability-modal/ability-modal.component.html",
          "hash": "8407772437833729352"
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/ability-table/ability-modal/ability-modal.component.scss",
          "hash": "12931084501115393095"
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/ability-table/ability-modal/ability-modal.component.spec.ts",
          "hash": "5844806580825036798",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/ability-table/ability-modal/ability-modal.component.ts",
          "hash": "18443771822690723846",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/ability-table/ability-table.component.html",
          "hash": "5346627656442739476"
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/ability-table/ability-table.component.scss",
          "hash": "6602228984379868552"
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/ability-table/ability-table.component.spec.ts",
          "hash": "1526799695842990757",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/ability-table/ability-table.component.ts",
          "hash": "9818572179522773160",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/cdk"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/proficiencies-table/proficiencies-table.component.html",
          "hash": "4512105920522730639"
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/proficiencies-table/proficiencies-table.component.scss",
          "hash": "1435851063900719499"
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/proficiencies-table/proficiencies-table.component.spec.ts",
          "hash": "14628497822537296081",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/proficiencies-table/proficiencies-table.component.ts",
          "hash": "400213183339518480",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/cdk",
            "npm:@angular/forms"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/proficiencies-table/tools-modal/tools-modal.component.html",
          "hash": "12402503305235818446"
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/proficiencies-table/tools-modal/tools-modal.component.scss",
          "hash": "11608477485513378130"
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/proficiencies-table/tools-modal/tools-modal.component.spec.ts",
          "hash": "17090397061508422242",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/proficiencies-table/tools-modal/tools-modal.component.ts",
          "hash": "18016872756762144402",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/cdk"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/spellslots/spellslots-modal/spellslots-modal.component.html",
          "hash": "17634621144187558444"
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/spellslots/spellslots-modal/spellslots-modal.component.scss",
          "hash": "17994825719979705169"
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/spellslots/spellslots-modal/spellslots-modal.component.spec.ts",
          "hash": "15613190717701202016",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/spellslots/spellslots-modal/spellslots-modal.component.ts",
          "hash": "16539174903974729080",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/material"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/spellslots/spellslots.component.html",
          "hash": "7841932132607734399"
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/spellslots/spellslots.component.scss",
          "hash": "9918960102951357807"
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/spellslots/spellslots.component.spec.ts",
          "hash": "15835245374730519460",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/spellslots/spellslots.component.ts",
          "hash": "596607303863005315",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/trait-table/trait-details/trait-details.component.html",
          "hash": "294701579094612205"
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/trait-table/trait-details/trait-details.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/trait-table/trait-details/trait-details.component.spec.ts",
          "hash": "9768690100432210390",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/trait-table/trait-details/trait-details.component.ts",
          "hash": "137351145709589227",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/trait-table/trait-modal/trait-modal.component.html",
          "hash": "4481795737110422987"
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/trait-table/trait-modal/trait-modal.component.scss",
          "hash": "8375714560812623282"
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/trait-table/trait-modal/trait-modal.component.spec.ts",
          "hash": "9914891294497453011",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/trait-table/trait-modal/trait-modal.component.ts",
          "hash": "6596234935621831452",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/trait-table/trait-table.component.html",
          "hash": "6997564590065615875"
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/trait-table/trait-table.component.scss",
          "hash": "4241627494436966263"
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/trait-table/trait-table.component.spec.ts",
          "hash": "14175776997817647221",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/ability-panel/trait-table/trait-table.component.ts",
          "hash": "17692383968241755989",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/cdk"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-panel/attribute-field/attribute-details/attribute-details.component.html",
          "hash": "14172142032278930409"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-panel/attribute-field/attribute-details/attribute-details.component.scss",
          "hash": "9562625032911217692"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-panel/attribute-field/attribute-details/attribute-details.component.spec.ts",
          "hash": "6695381595208061608",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-panel/attribute-field/attribute-details/attribute-details.component.ts",
          "hash": "9881052197613573616",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-panel/attribute-field/attribute-field.component.html",
          "hash": "14611140217015565835"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-panel/attribute-field/attribute-field.component.scss",
          "hash": "7117566822838934027"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-panel/attribute-field/attribute-field.component.spec.ts",
          "hash": "4573874119557992489",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-panel/attribute-field/attribute-field.component.ts",
          "hash": "8647618483763758191",
          "deps": [
            "npm:@angular/core",
            "npm:rxjs"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-panel/attribute-panel.component.html",
          "hash": "1516355538075082599"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-panel/attribute-panel.component.scss",
          "hash": "13332142503216140528"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-panel/attribute-panel.component.spec.ts",
          "hash": "187248325491158993",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-panel/attribute-panel.component.ts",
          "hash": "2500074586545539170",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-skill-container.component.html",
          "hash": "6965180054812405949"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-skill-container.component.scss",
          "hash": "17808662152454659884"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-skill-container.component.spec.ts",
          "hash": "1259877382646331200",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-skill-container.component.ts",
          "hash": "5258265223849158137",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/save-throw-panel/save-throw-details/save-throw-details.component.html",
          "hash": "4211741286713065306"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/save-throw-panel/save-throw-details/save-throw-details.component.scss",
          "hash": "18200880318440547462"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/save-throw-panel/save-throw-details/save-throw-details.component.spec.ts",
          "hash": "13485219318468212131",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/save-throw-panel/save-throw-details/save-throw-details.component.ts",
          "hash": "3823220772647461268",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/save-throw-panel/save-throw-field/save-throw-field.component.html",
          "hash": "14552521654451481550"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/save-throw-panel/save-throw-field/save-throw-field.component.scss",
          "hash": "2224385643993579548"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/save-throw-panel/save-throw-field/save-throw-field.component.spec.ts",
          "hash": "7181397191250735811",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/save-throw-panel/save-throw-field/save-throw-field.component.ts",
          "hash": "17443510603213410702",
          "deps": [
            "npm:@angular/core",
            "npm:rxjs"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/save-throw-panel/save-throw-panel.component.html",
          "hash": "7532511571509681585"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/save-throw-panel/save-throw-panel.component.scss",
          "hash": "7927331304895523904"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/save-throw-panel/save-throw-panel.component.spec.ts",
          "hash": "3884917963597278044",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/save-throw-panel/save-throw-panel.component.ts",
          "hash": "3330935558868168702",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/skill-panel/skill-details/skill-details.component.html",
          "hash": "5827546720404687898"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/skill-panel/skill-details/skill-details.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/skill-panel/skill-details/skill-details.component.spec.ts",
          "hash": "15958351242213950385",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/skill-panel/skill-details/skill-details.component.ts",
          "hash": "12723040474355997340",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/skill-panel/skill-field/skill-field.component.html",
          "hash": "8418746995731659202"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/skill-panel/skill-field/skill-field.component.scss",
          "hash": "18143975070286541085"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/skill-panel/skill-field/skill-field.component.spec.ts",
          "hash": "12631812943672398520",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/skill-panel/skill-field/skill-field.component.ts",
          "hash": "7433546416954162319",
          "deps": [
            "npm:@angular/core",
            "npm:rxjs"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/skill-panel/skill-panel.component.html",
          "hash": "12683797379921413718"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/skill-panel/skill-panel.component.scss",
          "hash": "5554874385540223425"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/skill-panel/skill-panel.component.spec.ts",
          "hash": "1069348815336567962",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/skill-panel/skill-panel.component.ts",
          "hash": "11388743691042938782",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/armor-class/armor-class-details/armor-class-details.component.html",
          "hash": "7263291818522531807"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/armor-class/armor-class-details/armor-class-details.component.scss",
          "hash": "3032481847563602361"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/armor-class/armor-class-details/armor-class-details.component.spec.ts",
          "hash": "10644231244081966175",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/armor-class/armor-class-details/armor-class-details.component.ts",
          "hash": "14180717739147142562",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/armor-class/armor-class.component.html",
          "hash": "11936047710912601666"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/armor-class/armor-class.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/armor-class/armor-class.component.spec.ts",
          "hash": "14841637289197388979",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/armor-class/armor-class.component.ts",
          "hash": "4330441836054130278",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/conditions/conditions-details/conditions-details.component.html",
          "hash": "17099855344676139224"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/conditions/conditions-details/conditions-details.component.scss",
          "hash": "15743275895339943337"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/conditions/conditions-details/conditions-details.component.spec.ts",
          "hash": "802251567005296261",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/conditions/conditions-details/conditions-details.component.ts",
          "hash": "14664930422676426525",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/conditions/conditions.component.html",
          "hash": "1667203616008355068"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/conditions/conditions.component.scss",
          "hash": "12723360180491153664"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/conditions/conditions.component.spec.ts",
          "hash": "4370720931747165154",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/conditions/conditions.component.ts",
          "hash": "2960833353754814634",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/conditions/exhaustion-details/exhaustion-details.component.html",
          "hash": "15338994312671042026"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/conditions/exhaustion-details/exhaustion-details.component.scss",
          "hash": "16455026970767241605"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/conditions/exhaustion-details/exhaustion-details.component.spec.ts",
          "hash": "16751605906911934590",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/conditions/exhaustion-details/exhaustion-details.component.ts",
          "hash": "3907207638744216096",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/death-save/death-save-details/death-save-details.component.html",
          "hash": "5247731927590087192"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/death-save/death-save-details/death-save-details.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/death-save/death-save-details/death-save-details.component.spec.ts",
          "hash": "1814280614338156170",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/death-save/death-save-details/death-save-details.component.ts",
          "hash": "4554747106251539400",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/death-save/death-save.component.html",
          "hash": "4425344129029749188"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/death-save/death-save.component.scss",
          "hash": "13188105794861205198"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/death-save/death-save.component.spec.ts",
          "hash": "3114493153764301508",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/death-save/death-save.component.ts",
          "hash": "6380666260029874606",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/info-row.component.html",
          "hash": "2628097961772646025"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/info-row.component.scss",
          "hash": "15329379429801756901"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/info-row.component.spec.ts",
          "hash": "15491221803027538757",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/info-row.component.ts",
          "hash": "12476261015636039455",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/initiative/initiative-details/initiative-details.component.html",
          "hash": "3894659667977205390"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/initiative/initiative-details/initiative-details.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/initiative/initiative-details/initiative-details.component.spec.ts",
          "hash": "8545055091987107828",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/initiative/initiative-details/initiative-details.component.ts",
          "hash": "1752939245191546902",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/initiative/initiative.component.html",
          "hash": "3897868310165779590"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/initiative/initiative.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/initiative/initiative.component.spec.ts",
          "hash": "10509527207976631433",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/initiative/initiative.component.ts",
          "hash": "15302858694430840959",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/movement/movement-details/movement-details.component.html",
          "hash": "4782895441389174375"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/movement/movement-details/movement-details.component.scss",
          "hash": "17394857383921549076"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/movement/movement-details/movement-details.component.spec.ts",
          "hash": "13297524753974617397",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/movement/movement-details/movement-details.component.ts",
          "hash": "10722326079585323632",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/movement/movement.component.html",
          "hash": "1297372651483248048"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/movement/movement.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/movement/movement.component.spec.ts",
          "hash": "8002908070984171435",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/movement/movement.component.ts",
          "hash": "2815500479840087756",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/proficiency/proficiency-details/proficiency-details.component.html",
          "hash": "17692054325234482436"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/proficiency/proficiency-details/proficiency-details.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/proficiency/proficiency-details/proficiency-details.component.spec.ts",
          "hash": "15726406179371909809",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/proficiency/proficiency-details/proficiency-details.component.ts",
          "hash": "2424231245383572822",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/proficiency/proficiency-field.component.html",
          "hash": "15775290152508010811"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/proficiency/proficiency-field.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-stats/info-row/proficiency/proficiency-field.component.spec.ts",
          "hash": "17593289780963489936",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/info-row/proficiency/proficiency-field.component.ts",
          "hash": "4238722786299587380",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/journal-stats.component.html",
          "hash": "2195271167036061558"
        },
        {
          "file": "src/app/journal/journal-stats/journal-stats.component.scss",
          "hash": "12614957761902021899"
        },
        {
          "file": "src/app/journal/journal-stats/journal-stats.component.spec.ts",
          "hash": "3791361536870326813",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/journal-stats.component.ts",
          "hash": "14625841385627040552",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/hit-dice/hit-dice.component.html",
          "hash": "799506515174059956"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/hit-dice/hit-dice.component.scss",
          "hash": "14829833057356034881"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/hit-dice/hit-dice.component.spec.ts",
          "hash": "13776572319768738263",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/hit-dice/hit-dice.component.ts",
          "hash": "4989255857400513688",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/life/life-details/life-details.component.html",
          "hash": "4533402330326753517"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/life/life-details/life-details.component.scss",
          "hash": "8678182857855060589"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/life/life-details/life-details.component.spec.ts",
          "hash": "7221772257715960980",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/life/life-details/life-details.component.ts",
          "hash": "493123454343809706",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/life/life.component.html",
          "hash": "14267274997084286113"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/life/life.component.scss",
          "hash": "11371299048669470089"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/life/life.component.spec.ts",
          "hash": "14082904253741837182",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/life/life.component.ts",
          "hash": "17280648720895794189",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/life-container.component.html",
          "hash": "8957200157068402360"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/life-container.component.scss",
          "hash": "14489359695023622424"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/life-container.component.spec.ts",
          "hash": "14064053880846139431",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/life-container.component.ts",
          "hash": "187364512524943520",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/spell-table/spell-details/spell-details.component.html",
          "hash": "15948072258286914151"
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/spell-table/spell-details/spell-details.component.scss",
          "hash": "12331153810711409351"
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/spell-table/spell-details/spell-details.component.spec.ts",
          "hash": "12101353076497149245",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/spell-table/spell-details/spell-details.component.ts",
          "hash": "3318246771135027155",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/spell-table/spell-table.component.html",
          "hash": "6611979695417732375"
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/spell-table/spell-table.component.scss",
          "hash": "7814296366472717913"
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/spell-table/spell-table.component.spec.ts",
          "hash": "342482887950935359",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/spell-table/spell-table.component.ts",
          "hash": "8919299233305438402",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/cdk",
            "npm:rxjs"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/weapon-table/weapon-details/weapon-details.component.html",
          "hash": "8298229300270143725"
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/weapon-table/weapon-details/weapon-details.component.scss",
          "hash": "12257305446093216173"
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/weapon-table/weapon-details/weapon-details.component.spec.ts",
          "hash": "17819380464447941439",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/weapon-table/weapon-details/weapon-details.component.ts",
          "hash": "16459855773164399573",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/weapon-table/weapon-modal/weapon-modal.component.html",
          "hash": "6387152006811749329"
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/weapon-table/weapon-modal/weapon-modal.component.scss",
          "hash": "2738862201711658825"
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/weapon-table/weapon-modal/weapon-modal.component.spec.ts",
          "hash": "8622443867718042297",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/weapon-table/weapon-modal/weapon-modal.component.ts",
          "hash": "6134750415346192737",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/weapon-table/weapon-table.component.html",
          "hash": "9704421788104879995"
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/weapon-table/weapon-table.component.scss",
          "hash": "15761241443199301153"
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/weapon-table/weapon-table.component.spec.ts",
          "hash": "7630338339350835169",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/weapon-table/weapon-table.component.ts",
          "hash": "14831755448874944092",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/cdk"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/weapons-container.component.html",
          "hash": "6099037823273634358"
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/weapons-container.component.scss",
          "hash": "16275028003856093875"
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/weapons-container.component.spec.ts",
          "hash": "6920035417078254248",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/weapons-container.component.ts",
          "hash": "6528622617918919575",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal.module.ts",
          "hash": "7433157348197343716",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/common",
            "npm:@ng-bootstrap/ng-bootstrap",
            "npm:@angular/forms",
            "npm:@angular/cdk",
            "npm:ngx-markdown",
            "npm:ngx-editor",
            "npm:@angular/material"
          ]
        },
        {
          "file": "src/app/journal/spell-modal/spell-modal.component.html",
          "hash": "9226230268686213154"
        },
        {
          "file": "src/app/journal/spell-modal/spell-modal.component.scss",
          "hash": "16371751615343600752"
        },
        {
          "file": "src/app/journal/spell-modal/spell-modal.component.spec.ts",
          "hash": "13038360519234699645",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/spell-modal/spell-modal.component.ts",
          "hash": "609351583599693850",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/shared-components/full-spellcard/full-spellcard.component.html",
          "hash": "1359206402591108879"
        },
        {
          "file": "src/app/shared-components/full-spellcard/full-spellcard.component.scss",
          "hash": "3850122825089548619"
        },
        {
          "file": "src/app/shared-components/full-spellcard/full-spellcard.component.spec.ts",
          "hash": "15101032094281336587",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/shared-components/full-spellcard/full-spellcard.component.ts",
          "hash": "13380647552574312116",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/shared-components/shared-components.module.ts",
          "hash": "545901886363787586",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/common"
          ]
        },
        {
          "file": "src/app/shared-components/switch/switch.component.html",
          "hash": "9092142832055849748"
        },
        {
          "file": "src/app/shared-components/switch/switch.component.scss",
          "hash": "8162343026874964652"
        },
        {
          "file": "src/app/shared-components/switch/switch.component.spec.ts",
          "hash": "16317843331744640224",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/shared-components/switch/switch.component.ts",
          "hash": "4946444981509346283",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/shared-components/ui-button/ui-button.component.html",
          "hash": "13057840349483342586"
        },
        {
          "file": "src/app/shared-components/ui-button/ui-button.component.scss",
          "hash": "13434520829356262802"
        },
        {
          "file": "src/app/shared-components/ui-button/ui-button.component.spec.ts",
          "hash": "11493065723991312838",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/shared-components/ui-button/ui-button.component.ts",
          "hash": "2163472741293223327",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/assets/.gitkeep",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/assets/icons/UIIcons/add.svg",
          "hash": "5217729023230382578"
        },
        {
          "file": "src/assets/icons/UIIcons/characters.svg",
          "hash": "1090199237604051971"
        },
        {
          "file": "src/assets/icons/UIIcons/check.svg",
          "hash": "15766203028016260170"
        },
        {
          "file": "src/assets/icons/UIIcons/copper.svg",
          "hash": "12362662117878453728"
        },
        {
          "file": "src/assets/icons/UIIcons/cross.svg",
          "hash": "9566050001797331764"
        },
        {
          "file": "src/assets/icons/UIIcons/damage.svg",
          "hash": "1728391263723675173"
        },
        {
          "file": "src/assets/icons/UIIcons/delete.svg",
          "hash": "7475298133619495318"
        },
        {
          "file": "src/assets/icons/UIIcons/edit.svg",
          "hash": "9841708718436361098"
        },
        {
          "file": "src/assets/icons/UIIcons/gold.svg",
          "hash": "1376090274867220394"
        },
        {
          "file": "src/assets/icons/UIIcons/heal.svg",
          "hash": "10347438468092109239"
        },
        {
          "file": "src/assets/icons/UIIcons/hidden.svg",
          "hash": "4528626739270662587"
        },
        {
          "file": "src/assets/icons/UIIcons/image.svg",
          "hash": "12673954762301828058"
        },
        {
          "file": "src/assets/icons/UIIcons/lock.svg",
          "hash": "3014710103470955495"
        },
        {
          "file": "src/assets/icons/UIIcons/platinum.svg",
          "hash": "5939107707110168050"
        },
        {
          "file": "src/assets/icons/UIIcons/remove.svg",
          "hash": "9563570443501120055"
        },
        {
          "file": "src/assets/icons/UIIcons/settings.svg",
          "hash": "8461039177870308980"
        },
        {
          "file": "src/assets/icons/UIIcons/silver.svg",
          "hash": "419095611245850640"
        },
        {
          "file": "src/assets/icons/UIIcons/temporary.svg",
          "hash": "12322101341939558369"
        },
        {
          "file": "src/assets/icons/UIIcons/upload.svg",
          "hash": "6648227971940186848"
        },
        {
          "file": "src/assets/icons/UIIcons/visible.svg",
          "hash": "12355972740091787256"
        },
        {
          "file": "src/assets/icons/damageIcons/acid.svg",
          "hash": "9238127032055435896"
        },
        {
          "file": "src/assets/icons/damageIcons/bludgeoning.svg",
          "hash": "14002886249670209526"
        },
        {
          "file": "src/assets/icons/damageIcons/fire.svg",
          "hash": "6598005448902894927"
        },
        {
          "file": "src/assets/icons/damageIcons/force.svg",
          "hash": "13008323900005239532"
        },
        {
          "file": "src/assets/icons/damageIcons/heal.svg",
          "hash": "5544497070261000123"
        },
        {
          "file": "src/assets/icons/damageIcons/ice.svg",
          "hash": "12779519716674554804"
        },
        {
          "file": "src/assets/icons/damageIcons/lightning.svg",
          "hash": "12038392805726950225"
        },
        {
          "file": "src/assets/icons/damageIcons/necrotic.svg",
          "hash": "2312357027401978126"
        },
        {
          "file": "src/assets/icons/damageIcons/piercing.svg",
          "hash": "15655034814135365639"
        },
        {
          "file": "src/assets/icons/damageIcons/poison.svg",
          "hash": "15291838456554035743"
        },
        {
          "file": "src/assets/icons/damageIcons/psychic.svg",
          "hash": "17783791519135560013"
        },
        {
          "file": "src/assets/icons/damageIcons/radiant.svg",
          "hash": "4098441206375212681"
        },
        {
          "file": "src/assets/icons/damageIcons/slashing.svg",
          "hash": "3258288295139483691"
        },
        {
          "file": "src/assets/icons/spellIcons/action.svg",
          "hash": "14481757066766476712"
        },
        {
          "file": "src/assets/icons/spellIcons/bonus.svg",
          "hash": "4354283069498164962"
        },
        {
          "file": "src/assets/icons/spellIcons/concentration.svg",
          "hash": "1494669264675780002"
        },
        {
          "file": "src/assets/icons/spellIcons/material.svg",
          "hash": "14258547183162570574"
        },
        {
          "file": "src/assets/icons/spellIcons/reaction.svg",
          "hash": "14114245823506027430"
        },
        {
          "file": "src/assets/icons/spellIcons/ritual.svg",
          "hash": "16820319792860324018"
        },
        {
          "file": "src/assets/icons/spellIcons/somatic.svg",
          "hash": "6821376574086902820"
        },
        {
          "file": "src/assets/icons/spellIcons/verbal.svg",
          "hash": "16678161778701953912"
        },
        {
          "file": "src/assets/icons/weaponIcons/distance.svg",
          "hash": "10121468488334390670"
        },
        {
          "file": "src/assets/icons/weaponIcons/meele.svg",
          "hash": "4772499650973192601"
        },
        {
          "file": "src/assets/icons/weaponIcons/ranged.svg",
          "hash": "17691395484735124161"
        },
        {
          "file": "src/assets/icons/weaponIcons/touch.svg",
          "hash": "13180727465038126138"
        },
        {
          "file": "src/assets/images/background-dark.jpg",
          "hash": "540623188092463131"
        },
        {
          "file": "src/assets/images/background-light.jpg",
          "hash": "7928188835083576026"
        },
        {
          "file": "src/assets/images/diverse.jpg",
          "hash": "11932041258973835990"
        },
        {
          "file": "src/assets/images/eliane.jpg",
          "hash": "3711765600576135371"
        },
        {
          "file": "src/assets/images/female.jpg",
          "hash": "8587402574968272179"
        },
        {
          "file": "src/assets/images/inventory_coming_soon.jpeg",
          "hash": "18319967344362000256"
        },
        {
          "file": "src/assets/images/male.jpg",
          "hash": "6994469570017131016"
        },
        {
          "file": "src/assets/images/maps_coming_soon.jpeg",
          "hash": "16728700102686144376"
        },
        {
          "file": "src/assets/images/notes_coming_soon.jpeg",
          "hash": "14193190348399768272"
        },
        {
          "file": "src/assets/images/npc_coming_soon.jpeg",
          "hash": "15625673832772798784"
        },
        {
          "file": "src/assets/images/place_coming_soon.jpeg",
          "hash": "6865062666329125171"
        },
        {
          "file": "src/assets/images/quest_coming_soon.jpeg",
          "hash": "10206190117082899277"
        },
        {
          "file": "src/assets/images/ruleset_coming_soon.jpeg",
          "hash": "15719776009442093476"
        },
        {
          "file": "src/assets/images/settings_coming_soon.jpeg",
          "hash": "12970917610690422619"
        },
        {
          "file": "src/assets/images/spellbook_coming_soon.jpeg",
          "hash": "16942137309756514135"
        },
        {
          "file": "src/assets/images/spells/background.jpg",
          "hash": "7981821004801038486"
        },
        {
          "file": "src/assets/images/spells/backup.jpg",
          "hash": "17039210611672330267"
        },
        {
          "file": "src/assets/images/spells/bladeWard.jpg",
          "hash": "9090936996942285377"
        },
        {
          "file": "src/assets/images/spells/bless.jpg",
          "hash": "4264445950962428871"
        },
        {
          "file": "src/assets/images/spells/boomingBlade.jpg",
          "hash": "2908450634780442196"
        },
        {
          "file": "src/assets/images/spells/chillTouch.jpg",
          "hash": "9846283257149109416"
        },
        {
          "file": "src/assets/images/spells/controlFlames.jpg",
          "hash": "6487670528670160173"
        },
        {
          "file": "src/assets/images/spells/createBonfire.jpg",
          "hash": "4018313904789180263"
        },
        {
          "file": "src/assets/images/spells/cureWounds.jpg",
          "hash": "5535215296760622657"
        },
        {
          "file": "src/assets/images/spells/detectMagic.jpg",
          "hash": "9538748972207485064"
        },
        {
          "file": "src/assets/images/spells/detectPoisonAndDisease.jpg",
          "hash": "5731384168991637442"
        },
        {
          "file": "src/assets/images/spells/druidCraft.jpg",
          "hash": "2332165545400349378"
        },
        {
          "file": "src/assets/images/spells/friends.jpg",
          "hash": "14457317615043467045"
        },
        {
          "file": "src/assets/images/spells/frostbite.jpg",
          "hash": "4192270120577833635"
        },
        {
          "file": "src/assets/images/spells/greenFlameBlade.jpg",
          "hash": "7575697061051288752"
        },
        {
          "file": "src/assets/images/spells/guidance.jpg",
          "hash": "16292029675155274495"
        },
        {
          "file": "src/assets/images/spells/guidingBolt.jpg",
          "hash": "16847990704821257672"
        },
        {
          "file": "src/assets/images/spells/healingWord.jpg",
          "hash": "3920642805749614926"
        },
        {
          "file": "src/assets/images/spells/infestation.jpg",
          "hash": "7108955662284502813"
        },
        {
          "file": "src/assets/images/spells/inflictWounds.jpg",
          "hash": "15889135368700766867"
        },
        {
          "file": "src/assets/images/spells/light.jpg",
          "hash": "18071429473352017300"
        },
        {
          "file": "src/assets/images/spells/lightningLure.jpg",
          "hash": "10697266277582752618"
        },
        {
          "file": "src/assets/images/spells/magicStone.jpg",
          "hash": "14564591811443268920"
        },
        {
          "file": "src/assets/images/spells/mending.jpg",
          "hash": "11211711667760796054"
        },
        {
          "file": "src/assets/images/spells/message.jpg",
          "hash": "5095809265580844998"
        },
        {
          "file": "src/assets/images/spells/mindSilver.jpg",
          "hash": "11529268558612993118"
        },
        {
          "file": "src/assets/images/spells/minorIllusion.jpg",
          "hash": "8350307727051330734"
        },
        {
          "file": "src/assets/images/spells/moldEarth.jpg",
          "hash": "11141157531480090122"
        },
        {
          "file": "src/assets/images/spells/poisonSpray.jpg",
          "hash": "8974800770349396077"
        },
        {
          "file": "src/assets/images/spells/produceFlame.jpg",
          "hash": "5841154817241443139"
        },
        {
          "file": "src/assets/images/spells/rayOfFrost.jpg",
          "hash": "9573664216989733150"
        },
        {
          "file": "src/assets/images/spells/sacredFlame.jpg",
          "hash": "32674127158058877"
        },
        {
          "file": "src/assets/images/spells/sanctuary.jpg",
          "hash": "18172046501496752482"
        },
        {
          "file": "src/assets/images/spells/thaumaturgy.jpg",
          "hash": "836108849693276639"
        },
        {
          "file": "src/assets/images/spells/thornWhip.jpg",
          "hash": "5890904569499607251"
        },
        {
          "file": "src/assets/images/spells/thunderClap.jpg",
          "hash": "1065046161704570774"
        },
        {
          "file": "src/assets/images/spells/tollTheDead.jpg",
          "hash": "6818224660916039979"
        },
        {
          "file": "src/assets/images/spells/viciousMockery.jpg",
          "hash": "7367801005221087106"
        },
        {
          "file": "src/assets/images/tel.jpg",
          "hash": "1927094573423271841"
        },
        {
          "file": "src/enums/area-types.ts",
          "hash": "15771101030549226178"
        },
        {
          "file": "src/enums/damage-types.ts",
          "hash": "12050824545241205025"
        },
        {
          "file": "src/enums/schools.ts",
          "hash": "16395192982022174613"
        },
        {
          "file": "src/favicon.ico",
          "hash": "3464744996580215640"
        },
        {
          "file": "src/index.html",
          "hash": "17041068431641193852"
        },
        {
          "file": "src/interfaces/ability.ts",
          "hash": "12070680785597629587"
        },
        {
          "file": "src/interfaces/attribute.ts",
          "hash": "13629201284977555514"
        },
        {
          "file": "src/interfaces/character.ts",
          "hash": "6343098863047939869"
        },
        {
          "file": "src/interfaces/consumable.ts",
          "hash": "5610522502200159879"
        },
        {
          "file": "src/interfaces/damage.ts",
          "hash": "5138886710872500334"
        },
        {
          "file": "src/interfaces/food.ts",
          "hash": "1972193146239459129"
        },
        {
          "file": "src/interfaces/heal.ts",
          "hash": "15743398383358332442"
        },
        {
          "file": "src/interfaces/misc.ts",
          "hash": "13910370567430488313"
        },
        {
          "file": "src/interfaces/simple-item.ts",
          "hash": "867805542256250803"
        },
        {
          "file": "src/interfaces/skill.ts",
          "hash": "5692840851233751367"
        },
        {
          "file": "src/interfaces/spell.ts",
          "hash": "14966879007929632152"
        },
        {
          "file": "src/interfaces/traits.ts",
          "hash": "13274208444194904624"
        },
        {
          "file": "src/interfaces/weapon.ts",
          "hash": "9776622045164395904"
        },
        {
          "file": "src/localbase.d.ts",
          "hash": "2229634263832852324"
        },
        {
          "file": "src/main.ts",
          "hash": "827237075323575508",
          "deps": [
            "npm:@angular/platform-browser-dynamic"
          ]
        },
        {
          "file": "src/services/class/class.service.spec.ts",
          "hash": "1259850625455872200",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/services/class/class.service.ts",
          "hash": "5377906721174892376",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/services/data/data.service.spec.ts",
          "hash": "1494779869762200163",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/services/data/data.service.ts",
          "hash": "7977856499512334554",
          "deps": [
            "npm:@angular/core",
            "npm:localbase",
            "npm:rxjs"
          ]
        },
        {
          "file": "src/services/dataResolve/data-resolver.service.spec.ts",
          "hash": "11183728495285589104",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/services/dataResolve/data-resolver.service.ts",
          "hash": "3528470895007566911",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/router"
          ]
        },
        {
          "file": "src/services/details/details.service.spec.ts",
          "hash": "7024646756658231425",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/services/details/details.service.ts",
          "hash": "16696159306543889780",
          "deps": [
            "npm:@angular/core",
            "npm:rxjs"
          ]
        },
        {
          "file": "src/services/modal/modal.service.spec.ts",
          "hash": "2676095566458701963",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/services/modal/modal.service.ts",
          "hash": "16184642508210303192",
          "deps": [
            "npm:@angular/core",
            "npm:rxjs"
          ]
        },
        {
          "file": "src/services/navigationPanel/navigation-panel.service.spec.ts",
          "hash": "11385392098266089881",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/services/navigationPanel/navigation-panel.service.ts",
          "hash": "12748520491140426789",
          "deps": [
            "npm:@angular/core",
            "npm:rxjs"
          ]
        },
        {
          "file": "src/services/sharedData/shared-data.service.spec.ts",
          "hash": "388110446619810274",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/services/sharedData/shared-data.service.ts",
          "hash": "11896539081215453707",
          "deps": [
            "npm:@angular/core",
            "npm:rxjs"
          ]
        },
        {
          "file": "src/services/species/species.service.spec.ts",
          "hash": "11596262576018127437",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/services/species/species.service.ts",
          "hash": "152651428716590215",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/services/spells/spells.service.spec.ts",
          "hash": "7883536043178968266",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/services/spells/spells.service.ts",
          "hash": "1396570184032651740",
          "deps": [
            "npm:@angular/core",
            "npm:rxjs"
          ]
        },
        {
          "file": "src/services/subclass/subclass.service.spec.ts",
          "hash": "3189994635856086161",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/services/subclass/subclass.service.ts",
          "hash": "4743796725115870621",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/services/translator/translator.service.spec.ts",
          "hash": "14591212740952861432",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/services/translator/translator.service.ts",
          "hash": "6180793701803209436",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/styles.scss",
          "hash": "14913437143963434829"
        },
        {
          "file": "tsconfig.app.json",
          "hash": "366722516949793923"
        },
        {
          "file": "tsconfig.json",
          "hash": "1426335498558518182"
        },
        {
          "file": "tsconfig.spec.json",
          "hash": "5059954046679394591"
        }
      ]
    }
  }
}
